Get bill import details
GET
https://app.speybooks.com/api/v1/bill-imports/{id}Retrieve full details of a bill import including the import metadata (with audit timestamps), parsed rows with per-row supplier contact resolution, clearingProof, and confirmation eligibility.
Returns the same rich payload as the upload response, making it suitable for re-rendering the import wizard after page navigation.
Path parameters
id string requiredData import ID (e.g. dimp_4).
Response
200 Import record with direction, cutoverDate, stats, rows with contact resolution, clearingProof, errors, and canConfirm.
Show response fields
canConfirm booleanclearingProof objectShow child attributes
cleared booleanimportDelta stringnetBalance stringopeningBalance stringcutoverDate stringdirection stringerrors array<object>import objectShow child attributes
completedAt string nullablecreatedAt string date-timeengineVersion stringfilename stringid stringstatus stringtotalRows integerrows array<object>Show child attributes
contact objectShow child attributes
confidence integercontactId stringcontactName stringoutcome stringreason stringcontactName stringdocDate stringdocNumber stringerror string nullableerrorDetail string nullablegross stringoutstanding stringpaid stringrowIndex integerstatus stringstats objectShow child attributes
errorRows integertotalGross stringtotalOutstanding stringtotalPaid stringtotalRows integervalidRows integerError codes
404 Bill import not found.